package com.dgtly.notice.mapper;

import com.dgtly.common.annotation.SwitchEn;
import com.dgtly.notice.domain.NoticeDemand;
import java.util.List;

/**
 * 【请填写功能名称】Mapper接口
 * 
 * @author dgtly
 * @date 2020-02-13
 */
public interface NoticeDemandMapper 
{
    /**
     * 查询【请填写功能名称】
     * 
     * @param id 【请填写功能名称】ID
     * @return 【请填写功能名称】
     */
    @SwitchEn(oldfiles = {
            "purchase_title",
            "summary_of_needs",
            "demand_details",
            "contacts",
            "contact_number"
    },newfiles = {
            "purchase_title_en purchase_title",
            "summary_of_needs_en summary_of_needs",
            "demand_details_en demand_details",
            "contacts_en contacts",
            "contact_number_en contact_number"
    })
    public NoticeDemand selectNoticeDemandById(Long id);

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param noticeDemand 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    @SwitchEn(oldfiles = {
            "purchase_title",
            "summary_of_needs",
            "demand_details",
            "contacts",
            "contact_number"
    },newfiles = {
            "purchase_title_en purchase_title",
            "summary_of_needs_en summary_of_needs",
            "demand_details_en demand_details",
            "contacts_en contacts",
            "contact_number_en contact_number"
    })
    public List<NoticeDemand> selectNoticeDemandList(NoticeDemand noticeDemand);

    /**
     * 新增【请填写功能名称】
     * 
     * @param noticeDemand 【请填写功能名称】
     * @return 结果
     */
    public int insertNoticeDemand(NoticeDemand noticeDemand);

    /**
     * 修改【请填写功能名称】
     * 
     * @param noticeDemand 【请填写功能名称】
     * @return 结果
     */
    public int updateNoticeDemand(NoticeDemand noticeDemand);

    /**
     * 删除【请填写功能名称】
     * 
     * @param id 【请填写功能名称】ID
     * @return 结果
     */
    public int deleteNoticeDemandById(Long id);

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteNoticeDemandByIds(String[] ids);


    /**
     * @descption: 获取最新的需求信息前10条
     * @param:
     * @return:
     * @auther: LiuLingChao
     * @date: 2020-2-25 10:27
     */
    @SwitchEn(oldfiles = {
            "purchase_title"
    },newfiles = {
            "purchase_title_en purchase_title"
    })
    public List<NoticeDemand> getDemandInfoTenList();
}
